--------------------------------------------------------------------------------
-- Copyright (c) 2001-2002 Rational Software Corporation. All rights reserved.--
--                                                                            --
--                Product: Rational(R) Test RealTime                          --
--                                                                            --
--      Product Component: All                                                --
--                                                                            --
--               Language: Ada                                                --
--                                                                            --
--        Product version: 2002.05.03                                         --
--                                                                            --
-- Target Deployment Port: adagnat                                            --
--                         Ada95 Gnat                                         --
--                                                                            --
--                   File: analyse_all.ada                                    --
--                         program to analyze all ada package, for customizer only--
--                                                                            --
-- Rational, the Rational logo are registered trademarks of                   --
-- Rational Software Corporation.                                             --
--                                                                            --
-- The placing of the copyright notices on Rational source code is not        --
-- intended to mean that they are published works, but are included in the    --
-- event of inadvertent publication. The source code of Rational contains     --
-- trade secrets and other valuable confidential information of Rational      --
-- Software Corporation. Rational Software Corporation and its licensors      --
-- retain ownership to Rational Products in both source and object code       --
-- format, and related documentation and all rights therein including         --
-- copyrights, patents and trade secrets.                                     --
--                                                                            --
--                                                                            --
-- U.S. Government Rights                                                     --
--                                                                            --
-- Use, duplication, or disclosure by the U.S. Government is subject to       --
-- restrictions set forth in the applicable Rational License Agreement        --
-- and in DFARS 227.7202-1(a) and 227.7202-3(a) (1995), DFARS                 --
-- 252.227-7013(c)(1)(ii)(Oct 1988), FAR 12.212(a) 1995, FAR 52.227-19,       --
-- or FAR 52.227-14, as applicable.                                           --
--                                                                            --
-- Unless otherwise agreed to in writing, use of Rational products is         --
-- governed by the Rational Product License Agreement provided with           --
-- the product.                                                               --
--------------------------------------------------------------------------------

--------------------------------------------------------------------------
-- $Revision: 1.2 $
-- $Descr: program to analyze all ada package, for customizer only$
--------------------------------------------------------------------------
--
-- This file includes all the Ada95 Sources Definitions
-- (see README), it's made to check the modification you can
-- made into one of theses source (or RTRT_Imp95 package).
-- This is not Ada95 Predefined Sources.
--
--------------------------------------------------------------------------
with ada ;
with ada.asynchronous_task_control ;
with ada.calendar ;
with ada.characters.handling ;
with ada.characters.latin_1 ;
with ada.characters ;
with ada.command_line ;
with ada.decimal ;
with ada.direct_io ;
with ada.dynamic_priorities ;
with ada.exceptions ;
with ada.finalization ;
with ada.float_text_io ;
with ada.integer_text_io ;
with ada.float_wide_text_io ;
with ada.integer_wide_text_io ;
with ada.interrupts.names ;
with ada.interrupts ;
with ada.io_exceptions ;
with ada.numerics ;
with ada.numerics.generic_complex_elementary_functions ;
with ada.numerics.generic_complex_types ;
with ada.numerics.generic_elementary_functions ;
with ada.numerics.complex_elementary_functions ;
with ada.numerics.complex_types ;
with ada.numerics.elementary_functions ;
-- only if type Standard.SHORT_FLOAT is defined
with ada.numerics.short_elementary_functions ;
with ada.numerics.short_complex_types ;
with ada.numerics.short_elementary_functions ;
with ada.short_float_text_io ;
with ada.short_float_wide_text_io ;
-- only if type Standard.LONG_FLOAT is defined
with ada.numerics.long_elementary_functions ;
with ada.numerics.long_complex_types ;
with ada.numerics.long_elementary_functions ;
with ada.long_float_text_io ;
with ada.long_float_wide_text_io ;
-- only if type Standard.LONG_LONG_FLOAT is defined
with ada.numerics.long_long_elementary_functions ;
with ada.numerics.long_long_complex_types ;
with ada.numerics.long_long_elementary_functions ;
with ada.long_long_float_text_io ;
with ada.long_long_float_wide_text_io ;
-- only if type Standard.SHORT_SHORT_INTEGER 
with ada.short_short_integer_text_io ;
with ada.short_short_integer_wide_text_io ;
-- only if type Standard.SHORT_INTEGER 
with ada.short_integer_text_io ;
with ada.short_integer_wide_text_io ;
-- only if type Standard.LONG_INTEGER 
with ada.long_integer_text_io ;
with ada.long_integer_wide_text_io ;
-- only if type Standard.LONG_LONG_INTEGER 
with ada.long_long_integer_text_io ;
with ada.long_long_integer_wide_text_io ;
--end
with ada.numerics.discrete_random ;
with ada.numerics.float_random ;
with ada.real_time ;
with ada.sequential_io ;
with ada.storage_io ;
with ada.streams ;
with ada.streams.stream_io ;
with ada.strings ;
with ada.strings.bounded ;
with ada.strings.fixed ;
with ada.strings.maps.constants ;
with ada.strings.maps ;
with ada.strings.unbounded ;
with ada.strings.wide_bounded ;
with ada.strings.wide_fixed ;
with ada.strings.wide_maps.wide_constants ;
with ada.strings.wide_maps ;
with ada.strings.wide_unbounded ;
with ada.synchronous_task_control ;
with ada.tags ;
with ada.task_attributes ;
with ada.task_identification ;
with ada.text_io ;
with ada.text_io.complex_io ;
with ada.text_io.editing ;
with ada.text_io.text_streams ;
with ada.unchecked_conversion ;
with ada.unchecked_deallocation ;
with ada.wide_text_io ;
with ada.wide_text_io.complex_io ;
with ada.wide_text_io.editing ;
with ada.wide_text_io.text_streams ;
with interfaces ;
with interfaces.c ;
with interfaces.c.pointers ;
with interfaces.c.strings ;
--comment this if it's not supported
with interfaces.cobol ;
with interfaces.fortran ;
with system ;
with system.address_to_access_conversions ;
with system.machine_code ;
with system.rpc ;
with system.storage_elements ;
with system.storage_pools ;
-- Ada83 short package names
with sequential_io ;
with calendar ;
with unchecked_deallocation ;
with unchecked_conversion ;
with direct_io ;
with text_io;
with io_exceptions ;
Procedure Analyse_all is
Begin
     -- that enough !
     null;
End ;
--
--------------------------------------------------------------------------
